<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
  <meta charset="UTF-8">
  <title>Grid demo</title>
  <link rel="stylesheet" th:href="@{/webjars/bootstrap/css/bootstrap.min.css}"/>
  <script defer th:src="@{/webjars/bootstrap/js/bootstrap.bundle.min.js}">
  </script>
</head>
<body>
<div class="container">
  <form class="row g-3 needs-validation" novalidate>
    <div class=" col col-sm-8 col-md-4 col-lg-2">
      <label for="validationCustom01" class="form-label">First name</label>
      <input type="text" class="form-control" id="validationCustom01" value="Mark" required>
      <div class="valid-feedback">
        Looks good!
      </div>
    </div>
    <div class="col col-sm-4 col-md-4 col-lg-10">
      <label for="validationCustom02" class="form-label">Last name</label>
      <input type="text" class="form-control" id="validationCustom02" value="Otto" required>
      <div class="valid-feedback">
        Looks good!
      </div>
    </div>
  </form>
</div>
</body>
</html>